clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
cppreference_parser.Symbol Class Reference

## Public Member Functions
def | __init__ (self, name, namespace, headers)

## Public Attributes
| name
| namespace
| headers

## Detailed Description

Definition at line 20 of file cppreference_parser.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def cppreference_parser.Symbol.__init__ | ( |  | self,
|  |  | name,
|  |  | namespace,
|  |  | headers
| ) |  |

Definition at line 22 of file cppreference_parser.py.

## Member Data Documentation

## ◆ headers

cppreference_parser.Symbol.headers

Definition at line 29 of file cppreference_parser.py.

## ◆ name

cppreference_parser.Symbol.name

Definition at line 24 of file cppreference_parser.py.

## ◆ namespace

cppreference_parser.Symbol.namespace

Definition at line 27 of file cppreference_parser.py.

The documentation for this class was generated from the following file:

- cppreference_parser.py